#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-4CerPfK8TkPL42S15kXG2W-dns-internal
key:                  dns-4.0.1-4CerPfK8TkPL42S15kXG2W-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  dd9f29d826ba90ab6138855d424785e8
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-4CerPfK8TkPL42S15kXG2W-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-A0B9IOxHH19KB8pu15mnoQ
    attoparsec-0.14.4-Kojlk2njjLp4GDvYR5lc9z
    auto-update-0.1.6-2Jg1yXKPnffHYFbsK0jtQu base-4.15.1.0
    base16-bytestring-1.0.2.0-HExbjVynfgTAyENkAT2rrP
    base64-bytestring-1.2.1.0-BJuXRBAdLOsHfwJFsLaaPA
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-FaWrMJ8zhPaJ6CzS43917e
    hourglass-0.2.12-JvAFVdH6fwJ1udRuwHUlbb
    iproute-1.7.12-9pSM87lV5hs4BqHBtBd6kW mtl-2.2.2
    network-3.1.2.7-BfLNNWIREyL84biQKbgmoR
    psqueues-0.2.7.3-6nfF2hF2V0HJcMfb5uJSeB

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-BPilJRJW2rCBMA8N4Dadqq
key:                  dns-4.0.1-BPilJRJW2rCBMA8N4Dadqq
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  6eaa2011d8e0ccf53a3b5f1279e2472f
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-BPilJRJW2rCBMA8N4Dadqq
depends:
    array-0.5.4.0 async-2.2.4-A0B9IOxHH19KB8pu15mnoQ
    attoparsec-0.14.4-Kojlk2njjLp4GDvYR5lc9z
    auto-update-0.1.6-2Jg1yXKPnffHYFbsK0jtQu base-4.15.1.0
    base16-bytestring-1.0.2.0-HExbjVynfgTAyENkAT2rrP
    base64-bytestring-1.2.1.0-BJuXRBAdLOsHfwJFsLaaPA
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-FaWrMJ8zhPaJ6CzS43917e
    dns-4.0.1-4CerPfK8TkPL42S15kXG2W-dns-internal
    hourglass-0.2.12-JvAFVdH6fwJ1udRuwHUlbb
    iproute-1.7.12-9pSM87lV5hs4BqHBtBd6kW mtl-2.2.2
    network-3.1.2.7-BfLNNWIREyL84biQKbgmoR
    psqueues-0.2.7.3-6nfF2hF2V0HJcMfb5uJSeB

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

